package com.foreverwin.mesnac.equip.util;

import java.util.LinkedHashMap;
import java.util.Map;

public class ConstantUtil {

    public static final String KEYWORD_TRUE = "TRUE";
    public static final String KEYWORD_FALSE = "FALSE";

    public static final String ATTACHED_EQUIP = "1";
    public static final String ATTACHED_EQUIP_TYPE = "2"
            ;
    public static final String MAINTAIN_PLAN_UNIT_1 = "1";
    public static final String MAINTAIN_PLAN_UNIT_2 = "2";
    public static final String MAINTAIN_PLAN_UNIT_3 = "3";
    public static final String MAINTAIN_PLAN_UNIT_4 = "4";
    public static final String MAINTAIN_PLAN_UNIT_5 = "5";

    public static final String ACTION_NAME_CYCLE = "1";
    public static final String ACTION_NAME_INTERVAL = "2";

    public static final String LIST_TYPE_INSPECT = "I";
    public static final String LIST_TYPE_MAINTAIN = "M";

    public static final String TOOL_MAINTAIN_LIST_RESULT_TYPE_BOOL = "1";
    public static final String TOOL_MAINTAIN_LIST_RESULT_TYPE_TEXT = "2";
    public static final String TOOL_MAINTAIN_LIST_RESULT_TYPE_NUMBER = "3";

    public static final Integer EXT_POSITION_1 = 1;
    public static final Integer EXT_POSITION_2 = 2;
    public static final Integer EXT_POSITION_3 = 3;

    public static final String STATUS_ENABLED = "301";
    public static final String STATUS_DISABLED = "302";
    public static final String STATUS_NEW = "401";
    public static final String STATUS_IN_QUEUE = "402";

    public static final String TASK_STATUS_1 = "1";
    public static final String TASK_STATUS_2 = "2";
    public static final String TASK_STATUS_3 = "3";
    public static final String TASK_STATUS_4 = "4";

    public static final String REPAIR_STATUS_1 = "1";
    public static final String REPAIR_STATUS_2 = "2";
    public static final String REPAIR_STATUS_3 = "3";
    public static final String REPAIR_STATUS_4 = "4";
    public static final String REPAIR_STATUS_5 = "5";
    public static final String REPAIR_STATUS_6 = "6";
    public static final String REPAIR_STATUS_7 = "7";
    public static final String REPAIR_STATUS_8 = "8";

    public static final String MAINTAIN_TASK_TYPE_1 = "1";
    public static final String MAINTAIN_TASK_TYPE_2 = "2";
    public static final String MAINTAIN_TASK_TYPE_3 = "3";
    public static final String MAINTAIN_TASK_TYPE_4 = "4";

    public static final Map<String, String> MAINTAIN_PLAN_UNITS = new LinkedHashMap<String, String>();
    public static final Map<String, String> TASK_STATUSES = new LinkedHashMap<String, String>();
    public static final Map<String, String> TOOL_MAINTAIN_LIST_RESULT_TYPES = new LinkedHashMap<String, String>();
    public static final Map<String, String> REPAIR_STATUS = new LinkedHashMap<String, String>();
    public static final Map<String, String> MAINTAIN_TASK_TYPE = new LinkedHashMap<String, String>();
    public static final Map<String, String> PLAN_STATUS = new LinkedHashMap<String, String>();

    static {
        //----------------------------------------------------------------------------------------------------------------------------------
        MAINTAIN_PLAN_UNITS.put(MAINTAIN_PLAN_UNIT_1, "小时");
        MAINTAIN_PLAN_UNITS.put(MAINTAIN_PLAN_UNIT_2, "日");
        MAINTAIN_PLAN_UNITS.put(MAINTAIN_PLAN_UNIT_3, "周");
        MAINTAIN_PLAN_UNITS.put(MAINTAIN_PLAN_UNIT_4, "月");
        MAINTAIN_PLAN_UNITS.put(MAINTAIN_PLAN_UNIT_5, "年");
        //----------------------------------------------------------------------------------------------------------------------------------
        TASK_STATUSES.put(TASK_STATUS_1, "未开始");
        TASK_STATUSES.put(TASK_STATUS_2, "进行中");
        TASK_STATUSES.put(TASK_STATUS_3, "关闭");
        TASK_STATUSES.put(TASK_STATUS_4, "完成");
        //----------------------------------------------------------------------------------------------------------------------------------
        TOOL_MAINTAIN_LIST_RESULT_TYPES.put(TOOL_MAINTAIN_LIST_RESULT_TYPE_BOOL, "布尔值");
        TOOL_MAINTAIN_LIST_RESULT_TYPES.put(TOOL_MAINTAIN_LIST_RESULT_TYPE_TEXT, "文本");
        TOOL_MAINTAIN_LIST_RESULT_TYPES.put(TOOL_MAINTAIN_LIST_RESULT_TYPE_NUMBER, "数字");
        //----------------------------------------------------------------------------------------------------------------
        REPAIR_STATUS.put(REPAIR_STATUS_1,"新建");
        REPAIR_STATUS.put(REPAIR_STATUS_2,"已报修");
        REPAIR_STATUS.put(REPAIR_STATUS_3,"维修中");
        REPAIR_STATUS.put(REPAIR_STATUS_4,"维修完成");
        REPAIR_STATUS.put(REPAIR_STATUS_5,"待生产确认");
        REPAIR_STATUS.put(REPAIR_STATUS_6,"待品质确认");
        REPAIR_STATUS.put(REPAIR_STATUS_7,"确认完成");
        REPAIR_STATUS.put(REPAIR_STATUS_8,"关闭");//取消或者重修的任务状态
        //-------------------------------------------------------------------------------------------------------------------
        MAINTAIN_TASK_TYPE.put(MAINTAIN_TASK_TYPE_1,"周保养");
        MAINTAIN_TASK_TYPE.put(MAINTAIN_TASK_TYPE_2,"月保养");
        MAINTAIN_TASK_TYPE.put(MAINTAIN_TASK_TYPE_3,"季保养");
        MAINTAIN_TASK_TYPE.put(MAINTAIN_TASK_TYPE_4,"年保养");
        //-------------------------------------------------------------------------------------------------------------------
        PLAN_STATUS.put( STATUS_ENABLED,"启动" );
        PLAN_STATUS.put( STATUS_DISABLED,"禁止" );
        PLAN_STATUS.put( STATUS_NEW,"新建" );
    }
}
